.mapset-setting {
  color: #ebebeb;
  font-size: 12px;
  font-weight: normal;
  // border-bottom: 2px solid #090909;

  .text-gray {
    color: #afb2b5;
  }

  .btn:focus {
    outline: none;
    box-shadow: none;
  }

  button:focus {
    border: none;
    outline: none;
  }

  .btn {
    background: none;
    border: none;
  }

  .btn-group {
    background: #4b525b;
    border: 1px solid #222831;
    box-sizing: border-box;
    border-radius: 4px;
  }

  .sidenav_panel_mapset_header {
    font-size: 14px;
    border-bottom: 1px solid #171c24;
  }

  .panel_legend {
    padding: 10px;
    background: #222831;
    border-radius: 4px;
    min-height: 90px;
    max-height: 220px;
  }

  .sidenav_panel_mapset_filter {
    border-top: 1px solid #171c24;
  }

  .sidenav_panel_mapset_filter .btn-add {
    border: 1px solid #ebebeb;
    background: none;
    font-size: 13px;
    width: 141px;
    height: 34px;
  }

  .mapset_legend {
    background: #222831;
    border-radius: 4px;
    color: #ffffff;
    font-style: normal;
    font-weight: normal;
    font-size: 14px;
    line-height: 20px;
    max-height: 200px;
  }

  .sidenav-panel-mapset-tool {
    font-size: 12px;
    font-weight: normal;
  }

  .sidenav-panel-mapset-tool .btn {
    font-size: 12px;
    font-weight: normal;
    width: 54px;
    // height: 30px;
    background: #4b525b;
    border: 1px solid #222831;
  }

  .sidenav-panel-mapset-tool .border-button {
    border: 1px solid #222831;
    border-radius: 4px;
  }

  .tools .btn {
    font-size: 13px;
  }
}

::ng-deep {
  .mapset-setting {
    .custom-slider-transparency {
      height: 33px;
      width: 190px;
      opacity: 1;
      left: 58px;
      top: -2px;
      z-index: 1;
      border-radius: 5px;

      .ng5-slider {
        margin: 0;
      }

      .ng5-slider .ng5-slider-bubble.ng5-slider-limit,
      .ng5-slider .ng5-slider-bubble.ng5-slider-model-value {
        color: #ffffff !important;
      }

      .ng5-slider .ng5-slider-pointer.ng5-slider-active:after {
        background: #ffffff;
      }

      .ng5-slider.vertical .ng5-slider-pointer {
        left: -8px !important;
        top: auto;
        bottom: 0;
      }

      .ng5-slider .ng5-slider-pointer {
        cursor: pointer;
        width: 10px;
        height: 10px;
        top: -3px;
        background-color: #0db9f0;
        z-index: 3;
        border-radius: 16px;
      }

      .ng5-slider .ng5-slider-pointer:after {
        display: none;
      }

      .ng5-slider .ng5-slider-bubble {
        cursor: default;
        bottom: 16px;
        padding: 1px 3px;
        color: #55637d;
        font-size: 12px;
      }
      .ng5-slider .ng5-slider-pointer {
        background: #ffffff;
      }
      .ng5-slider-ceil,
      .ng5-slider-model-value,
      .ng5-slider-floor {
        display: none !important;
      }

      .ng5-slider-bar {
        background: #222831 !important;
      }

      .ng5-slider .ng5-slider-selection {
        background: #ffffff !important;
        visibility: visible !important;
      }
    }
  }
}
